/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/config/env-config.ts":
/*!**********************************!*\
  !*** ./src/config/env-config.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   config: () => (/* binding */ config)
/* harmony export */ });
/* harmony import */ var envalid__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! envalid */ "envalid");
/* harmony import */ var envalid__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(envalid__WEBPACK_IMPORTED_MODULE_0__);

const config = (0,envalid__WEBPACK_IMPORTED_MODULE_0__.cleanEnv)(process.env, {
    S_AUTHORIZATION_HEADER: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)(),
    S_GRAPHQL_URL: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)(),
    S_START_SEQ: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.num)(),
    S_END_SEQ: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.num)(),
    MONGO_URL: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)({ devDefault: 'mongodb://localhost:27017/S_MARKET' }),
});


/***/ }),

/***/ "./src/config/index.ts":
/*!*****************************!*\
  !*** ./src/config/index.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   config: () => (/* reexport safe */ _env_config__WEBPACK_IMPORTED_MODULE_0__.config)
/* harmony export */ });
/* harmony import */ var _env_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./env-config */ "./src/config/env-config.ts");



/***/ }),

/***/ "./src/store/curd-insert.ts":
/*!**********************************!*\
  !*** ./src/store/curd-insert.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   mongoClient: () => (/* binding */ mongoClient)
/* harmony export */ });
/* harmony import */ var mongodb__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! mongodb */ "mongodb");
/* harmony import */ var mongodb__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(mongodb__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../config */ "./src/config/index.ts");


const mongoClient = new mongodb__WEBPACK_IMPORTED_MODULE_0__.MongoClient(_config__WEBPACK_IMPORTED_MODULE_1__.config.MONGO_URL);



/***/ }),

/***/ "./src/store/marketing.ts":
/*!********************************!*\
  !*** ./src/store/marketing.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MarketingContactModelFunc: () => (/* binding */ MarketingContactModelFunc)
/* harmony export */ });
/* harmony import */ var mongoose__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! mongoose */ "mongoose");
/* harmony import */ var mongoose__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(mongoose__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _common_stack_store_mongo__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @common-stack/store-mongo */ "@common-stack/store-mongo");
/* harmony import */ var _common_stack_store_mongo__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_common_stack_store_mongo__WEBPACK_IMPORTED_MODULE_1__);


const marketingContactModelSchema = new mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema({
    originalId: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    uuid: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    orgName: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String, default: 'leslie89899' },
    name: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    firstName: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    lastName: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    fullName: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    address: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    addressDescription: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    address2: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    city: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    state: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    country: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    zip: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    phone: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    phoneExt: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    phone2: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    email: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    company: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    ip: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    datestamp: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Date },
    use: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    code: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    optIn: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Boolean },
    createDate: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Date },
    isGuest: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Boolean },
    mailerType: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    optOutReason: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    lastVrUpdate: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Date },
    bounceCounter: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Number },
    site: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    lastLogin: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Date },
    isAppUser: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Boolean },
    interactionSent: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Boolean },
    isVerified: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Boolean },
    unit: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    unitType: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.String },
    isActive: { type: mongoose__WEBPACK_IMPORTED_MODULE_0__.Schema.Types.Boolean },
}, {
    ..._common_stack_store_mongo__WEBPACK_IMPORTED_MODULE_1__.commonModeSchemaOptions,
    collection: 'marketingContacts'
});
marketingContactModelSchema.pre('save', function (next) {
    if (!this.get('fullName')) {
        const [firstName, lastName] = this.get('fullName')?.split(' ') || [];
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        this.firstName = firstName;
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        this.lastName = lastName;
    }
    else {
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore
        this.fullName = `${this.get('firstName')} ${this.get('lastName')}`;
    }
    next();
});
(0,_common_stack_store_mongo__WEBPACK_IMPORTED_MODULE_1__.addIdVirtualFields)(marketingContactModelSchema);
const MarketingContactModelFunc = (db) => db.model('MarketingContact', marketingContactModelSchema);


/***/ }),

/***/ "@common-stack/store-mongo":
/*!********************************************!*\
  !*** external "@common-stack/store-mongo" ***!
  \********************************************/
/***/ ((module) => {

module.exports = require("@common-stack/store-mongo");

/***/ }),

/***/ "dotenv":
/*!*************************!*\
  !*** external "dotenv" ***!
  \*************************/
/***/ ((module) => {

module.exports = require("dotenv");

/***/ }),

/***/ "envalid":
/*!**************************!*\
  !*** external "envalid" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("envalid");

/***/ }),

/***/ "mongodb":
/*!**************************!*\
  !*** external "mongodb" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("mongodb");

/***/ }),

/***/ "mongoose":
/*!***************************!*\
  !*** external "mongoose" ***!
  \***************************/
/***/ ((module) => {

module.exports = require("mongoose");

/***/ }),

/***/ "reflect-metadata":
/*!***********************************!*\
  !*** external "reflect-metadata" ***!
  \***********************************/
/***/ ((module) => {

module.exports = require("reflect-metadata");

/***/ }),

/***/ "uuid":
/*!***********************!*\
  !*** external "uuid" ***!
  \***********************/
/***/ ((module) => {

module.exports = require("uuid");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
/*!*******************************************!*\
  !*** ./src/moveMusersToMarketContacts.ts ***!
  \*******************************************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var dotenv__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! dotenv */ "dotenv");
/* harmony import */ var dotenv__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(dotenv__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var reflect_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! reflect-metadata */ "reflect-metadata");
/* harmony import */ var reflect_metadata__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(reflect_metadata__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! uuid */ "uuid");
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(uuid__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _store_marketing__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./store/marketing */ "./src/store/marketing.ts");
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./config */ "./src/config/index.ts");
/* harmony import */ var _store_curd_insert__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./store/curd-insert */ "./src/store/curd-insert.ts");
/* harmony import */ var mongoose__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! mongoose */ "mongoose");
/* harmony import */ var mongoose__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(mongoose__WEBPACK_IMPORTED_MODULE_6__);



if (process.env.ENV_FILE) {
    dotenv__WEBPACK_IMPORTED_MODULE_0__.config({ path: process.env.ENV_FILE });
}




const initial = _config__WEBPACK_IMPORTED_MODULE_4__.config.S_START_SEQ;
const final = _config__WEBPACK_IMPORTED_MODULE_4__.config.S_END_SEQ;
const batchSize = 10000; // Set your preferred batch size
// Function to transform and import a single document
async function transformAndImportDocument(existingDocument, marketingContacts, batch) {
    try {
        // Generate a new UUID
        const newUuid = (0,uuid__WEBPACK_IMPORTED_MODULE_2__.v4)();
        // Transform the existing document into the new schema structure
        const transformedDocument = {
            originalId: existingDocument._id,
            uuid: newUuid,
            orgName: 'leslieMar',
            name: existingDocument.fullName,
            firstName: existingDocument.firstName,
            lastName: existingDocument.lastName,
            address: existingDocument.address,
            address2: existingDocument.address2,
            city: existingDocument.city,
            state: existingDocument.state,
            zip: existingDocument.zip,
            phone: existingDocument.phone,
            email: existingDocument.email,
            company: '',
            // ip: existingDocument.owner_verifications[0].pool_proof_url || '', // Check the appropriate field
            datestamp: existingDocument.createdAt,
            use: '',
            code: '',
            optIn: false,
            createDate: '',
            isGuest: false,
            mailerType: '',
            optOutReason: '',
            lastVrUpdate: '',
            bounceCounter: 0,
            site: '',
            lastLogin: existingDocument.lastLogin,
            isAppUser: false,
            interactionSent: false,
            isVerified: false,
            unit: '',
            unitType: '',
            isActive: false, // Adjust based on your criteria
        };
        // Push the transformed document to the batch
        batch.push(transformedDocument);
        // If the batch size is reached, insert the batch into the database
        if (batch.length >= batchSize) {
            await marketingContacts.insertMany(batch);
            console.log(`Batch of ${batch.length} documents saved.`);
            // Clear the batch
            batch.length = 0;
        }
    }
    catch (error) {
        console.error('Error saving document', error);
    }
}
const startJob = async () => {
    console.time('dbsave');
    try {
        await _store_curd_insert__WEBPACK_IMPORTED_MODULE_5__.mongoClient.connect();
        const db = _store_curd_insert__WEBPACK_IMPORTED_MODULE_5__.mongoClient.db('container-stack');
        const cursor = db.collection('marketingContactsUser').find(); // Retrieve all documents
        let batch = [];
        const conn = await (0,mongoose__WEBPACK_IMPORTED_MODULE_6__.createConnection)(_config__WEBPACK_IMPORTED_MODULE_4__.config.MONGO_URL, {}).asPromise();
        const marketingContacts = (0,_store_marketing__WEBPACK_IMPORTED_MODULE_3__.MarketingContactModelFunc)(conn);
        while (await cursor.hasNext()) {
            const existingDocument = await cursor.next();
            await transformAndImportDocument(existingDocument, marketingContacts, batch);
        }
        // Insert any remaining documents in the batch
        if (batch.length > 0) {
            await marketingContacts.insertMany(batch);
            console.log(`Final batch of ${batch.length} documents saved.`);
        }
        console.log('All documents imported successfully.');
    }
    catch (error) {
        console.error('Error importing documents:', error);
    }
    finally {
        console.log('imported with missing ones as follow');
        await _store_curd_insert__WEBPACK_IMPORTED_MODULE_5__.mongoClient.close();
        console.timeEnd('dbsave');
    }
};
startJob().catch(console.dir);

})();

module.exports = __webpack_exports__;
/******/ })()
;
//# sourceMappingURL=moveMuserstoMC.js.map